Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2011)
@@ -2792,6 +3379,6 @@
         REAL(wp), DIMENSION(n_surface_params)                 :: wtp
     
-        INTEGER(iwp), DIMENSION(0:17, nysg:nyng, nxlg:nxrg)   :: us_par
-        REAL(wp), DIMENSION(1:14, nysg:nyng, nxlg:nxrg)       :: us_val
+        INTEGER(iwp), DIMENSION(0:17, nysg:nyng, nxlg:nxrg)   :: usm_par
+        REAL(wp), DIMENSION(1:14, nysg:nyng, nxlg:nxrg)       :: usm_val
         INTEGER(iwp)                                          :: k, l, d, iw, jw, kw, it, ip, ii, ij
         INTEGER(iwp)                                          :: i, j
@@ -2806,14 +3393,14 @@
         REAL(wp)                                              :: wealbedo3, wethick3, snalbedo3, snthick3
         
-        !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-        !-- read categories of walls and their parameters
-        !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!--     read categories of walls and their parameters
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         DO  ii = 0, io_blocks-1
             IF ( ii == io_group )  THEN
 
-                !-- open urban surface file 
+!--             open urban surface file 
                 OPEN( 151, file='SURFACE_PARAMETERS'//coupling_char, action='read', &
                            status='old', form='formatted', err=15 ) 
-                !-- first test and get n_surface_types
+!--             first test and get n_surface_types
                 k = 0
                 l = 0
@@ -2829,5 +3416,5 @@
                 ALLOCATE( surface_type_codes(n_surface_types) )
                 ALLOCATE( surface_params(n_surface_params, n_surface_types) )
-                !-- real reading
+!--             real reading
                 rewind( 151 )
                 k = 0
@@ -2850,13 +3437,13 @@
         ENDDO
     
-        !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-        !-- read types of surfaces
-        !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-        us_par = 0
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!--     read types of surfaces
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+        usm_par = 0
         DO  ii = 0, io_blocks-1
             IF ( ii == io_group )  THEN
 
                 !
-                !-- open csv urban surface file 
+!--             open csv urban surface file 
                 OPEN( 151, file='URBAN_SURFACE'//TRIM(coupling_char), action='read', &
                       status='old', form='formatted', err=23 )
@@ -2865,7 +3452,7 @@
                 DO
                     l = l+1
-                    !-- i, j, height, nz, roof, dirwe, dirsn, category, soilcat,
-                    !-- weheight1, wecat1, snheight1, sncat1, weheight2, wecat2, snheight2, sncat2,
-                    !-- weheight3, wecat3, snheight3, sncat3
+!--                 i, j, height, nz, roof, dirwe, dirsn, category, soilcat,
+!--                 weheight1, wecat1, snheight1, sncat1, weheight2, wecat2, snheight2, sncat2,
+!--                 weheight3, wecat3, snheight3, sncat3
                     READ( 151, *, err=21, end=25 )  i, j, height, nz, roof, dirwe, dirsn,            &
                                             category, albedo, thick,                                 &
@@ -2877,11 +3464,11 @@
                                             snheight3, sncat3, snalbedo3, snthick3
 
-                    IF ( i >= nxlg .AND. i <= nxrg .AND. j >= nysg .AND. j <= nyng ) THEN
-                        !-- write integer variables into array
-                        us_par(:,j,i) = (/1, nz, roof, dirwe, dirsn, category,                       &
+                    IF ( i >= nxlg  .AND.  i <= nxrg  .AND.  j >= nysg  .AND.  j <= nyng )  THEN
+!--                     write integer variables into array
+                        usm_par(:,j,i) = (/1, nz, roof, dirwe, dirsn, category,                      &
                                           weheight1, wecat1, weheight2, wecat2, weheight3, wecat3,   &
                                           snheight1, sncat1, snheight2, sncat2, snheight3, sncat3 /)
-                        !-- write real values into array
-                        us_val(:,j,i) = (/ albedo, thick,                                            &
+!--                     write real values into array
+                        usm_val(:,j,i) = (/ albedo, thick,                                           &
                                            wealbedo1, wethick1, wealbedo2, wethick2,                 &
                                            wealbedo3, wethick3, snalbedo1, snthick1,                 &
@@ -2905,30 +3492,26 @@
         
         !
-        !-- check completeness and formal correctness of the data
+!--     check completeness and formal correctness of the data
         DO i = nxlg, nxrg
             DO j = nysg, nyng
-                IF ( us_par(0,j,i) /= 0 .AND. (           &  !< incomplete data,supply default values later
-                     us_par(1,j,i) < nzb .OR.             &
-                     us_par(1,j,i) > nzt .OR.             &  !< incorrect height (nz < nzb .OR. nz > nzt)
-                     us_par(2,j,i) < 0 .OR.               &
-                     us_par(2,j,i) > 1 .OR.               &  !< incorrect roof sign
-                     us_par(3,j,i) < nzb-nzt .OR.         & 
-                     us_par(3,j,i) > nzt-nzb .OR.         &  !< incorrect west-east wall direction sign
-                     us_par(4,j,i) < nzb-nzt .OR.         &
-                     us_par(4,j,i) > nzt-nzb .OR.         &  !< incorrect south-north wall direction sign
-                     us_par(6,j,i) < nzb .OR.             & 
-                     us_par(6,j,i) > nzt .OR.             &  !< incorrect pedestrian level height for west-east wall
-                     us_par(8,j,i) > nzt .OR.             &
-                     us_par(10,j,i) > nzt .OR.            &  !< incorrect wall or roof level height for west-east wall
-                     us_par(12,j,i) < nzb .OR.            & 
-                     us_par(12,j,i) > nzt .OR.            &  !< incorrect pedestrian level height for south-north wall
-                     us_par(14,j,i) > nzt .OR.            &
-                     us_par(16,j,i) > nzt                 &  !< incorrect wall or roof level height for south-north wall
-                    ) ) THEN
-                    !-- incorrect input data
-                    IF ( debug_prints  .AND.  time_do3d < dt_3d )  THEN
-                        WRITE(9,*) 'Incorrect US input data at i,j=', i,j
-                        WRITE(9,*) 'us_par = ', us_par(:,j,i)
-                    ENDIF
+                IF ( usm_par(0,j,i) /= 0  .AND.  (        &  !< incomplete data,supply default values later
+                     usm_par(1,j,i) < nzb  .OR.           &
+                     usm_par(1,j,i) > nzt  .OR.           &  !< incorrect height (nz < nzb  .OR.  nz > nzt)
+                     usm_par(2,j,i) < 0  .OR.             &
+                     usm_par(2,j,i) > 1  .OR.             &  !< incorrect roof sign
+                     usm_par(3,j,i) < nzb-nzt  .OR.       & 
+                     usm_par(3,j,i) > nzt-nzb  .OR.       &  !< incorrect west-east wall direction sign
+                     usm_par(4,j,i) < nzb-nzt  .OR.       &
+                     usm_par(4,j,i) > nzt-nzb  .OR.       &  !< incorrect south-north wall direction sign
+                     usm_par(6,j,i) < nzb  .OR.           & 
+                     usm_par(6,j,i) > nzt  .OR.           &  !< incorrect pedestrian level height for west-east wall
+                     usm_par(8,j,i) > nzt  .OR.           &
+                     usm_par(10,j,i) > nzt  .OR.          &  !< incorrect wall or roof level height for west-east wall
+                     usm_par(12,j,i) < nzb  .OR.          & 
+                     usm_par(12,j,i) > nzt  .OR.          &  !< incorrect pedestrian level height for south-north wall
+                     usm_par(14,j,i) > nzt  .OR.          &
+                     usm_par(16,j,i) > nzt                &  !< incorrect wall or roof level height for south-north wall
+                    ) )  THEN
+!--                 incorrect input data
                     WRITE (message_string, "(A,2I5)") 'missing or incorrect data in file URBAN_SURFACE'// &
                                                        TRIM(coupling_char)//' for i,j=', i,j
@@ -2936,17 +3519,8 @@
                 ENDIF
                 
-                !IF ( us_alb(j,i) < 0.0_wp .OR.            &
-                !     us_alb(j,i) > 1.0_wp )               &  ! incorrect albedo of the land or roof
-                !THEN
-                    !-- incorrect albedo
-                    !WRITE (message_string, "(A,2I5)") 'missing or incorrect albedo in file URBAN_SURFACE'//TRIM(coupling_char)//' for i,j=', i,j
-                    !CALL message( 'usm_read_urban_surface', 'PA0504', 1, 2, 0, 6, 0 )
-                !ENDIF
-
-                
             ENDDO
         ENDDO
         
-        ! assign the surface types to local surface array
+!--     assign the surface types to local surface array
         DO  l = startenergy, endenergy
             
@@ -2955,10 +3529,10 @@
             j = surfl(iy,l)
             i = surfl(ix,l)
-            IF ( d == iroof ) THEN
-                !-- horizontal surface - land or roof
+            IF ( d == iroof )  THEN
+!--             horizontal surface - land or roof
                 iw = i
                 jw = j
-                IF ( us_par(5,jw,iw) == 0 ) THEN
-                    IF ( zu(kw) >= roof_height_limit ) THEN
+                IF ( usm_par(5,jw,iw) == 0 )  THEN
+                    IF ( zu(kw) >= roof_height_limit )  THEN
                         isroof_surf(l) = .TRUE.
                         surface_types(l) = roof_category         !< default category for root surface
@@ -2970,13 +3544,13 @@
                     thickness_wall(l) = -1.0_wp
                 ELSE
-                    IF ( us_par(2,jw,iw)==0 ) THEN
+                    IF ( usm_par(2,jw,iw)==0 )  THEN
                         isroof_surf(l) = .FALSE.
                         thickness_wall(l) = -1.0_wp
                     ELSE
                         isroof_surf(l) = .TRUE.
-                        thickness_wall(l) = us_val(2,jw,iw)
+                        thickness_wall(l) = usm_val(2,jw,iw)
                     ENDIF
-                    surface_types(l) = us_par(5,jw,iw)
-                    albedo_surf(l) = us_val(1,jw,iw)
+                    surface_types(l) = usm_par(5,jw,iw)
+                    albedo_surf(l) = usm_val(1,jw,iw)
                 ENDIF
             ELSE
@@ -3004,107 +3578,95 @@
                 END SELECT
                 
-                IF ( kw <= us_par(ii,jw,iw) ) THEN
-                    !-- pedestrant zone
+                IF ( kw <= usm_par(ii,jw,iw) )  THEN
+!--                 pedestrant zone
                     isroof_surf(l) = .FALSE.
-                    IF ( us_par(ii+1,jw,iw) == 0 ) THEN
+                    IF ( usm_par(ii+1,jw,iw) == 0 )  THEN
                         surface_types(l) = pedestrant_category   !< default category for wall surface in pedestrant zone
                         albedo_surf(l) = -1.0_wp
                         thickness_wall(l) = -1.0_wp
                     ELSE
-                        surface_types(l) = us_par(ii+1,jw,iw)
-                        albedo_surf(l) = us_val(ij,jw,iw)
-                        thickness_wall(l) = us_val(ij+1,jw,iw)
+                        surface_types(l) = usm_par(ii+1,jw,iw)
+                        albedo_surf(l) = usm_val(ij,jw,iw)
+                        thickness_wall(l) = usm_val(ij+1,jw,iw)
                     ENDIF
-                ELSE IF ( kw <= us_par(ii+2,jw,iw) ) THEN
-                    ! wall zone
+                ELSE IF ( kw <= usm_par(ii+2,jw,iw) )  THEN
+!--                 wall zone
                     isroof_surf(l) = .FALSE.
-                    IF ( us_par(ii+3,jw,iw) == 0 ) THEN
+                    IF ( usm_par(ii+3,jw,iw) == 0 )  THEN
                         surface_types(l) = wall_category         !< default category for wall surface
                         albedo_surf(l) = -1.0_wp
                         thickness_wall(l) = -1.0_wp
                     ELSE
-                        surface_types(l) = us_par(ii+3,jw,iw)
-                        albedo_surf(l) = us_val(ij+2,jw,iw)
-                        thickness_wall(l) = us_val(ij+3,jw,iw)
+                        surface_types(l) = usm_par(ii+3,jw,iw)
+                        albedo_surf(l) = usm_val(ij+2,jw,iw)
+                        thickness_wall(l) = usm_val(ij+3,jw,iw)
                     ENDIF
-                ELSE IF ( kw <= us_par(ii+4,jw,iw) ) THEN
-                    ! roof zone
+                ELSE IF ( kw <= usm_par(ii+4,jw,iw) )  THEN
+!--                 roof zone
                     isroof_surf(l) = .TRUE.
-                    IF ( us_par(ii+5,jw,iw) == 0 ) THEN
+                    IF ( usm_par(ii+5,jw,iw) == 0 )  THEN
                         surface_types(l) = roof_category         !< default category for roof surface
                         albedo_surf(l) = -1.0_wp
                         thickness_wall(l) = -1.0_wp
                     ELSE
-                        surface_types(l) = us_par(ii+5,jw,iw)
-                        albedo_surf(l) = us_val(ij+4,jw,iw)
-                        thickness_wall(l) = us_val(ij+5,jw,iw)
+                        surface_types(l) = usm_par(ii+5,jw,iw)
+                        albedo_surf(l) = usm_val(ij+4,jw,iw)
+                        thickness_wall(l) = usm_val(ij+5,jw,iw)
                     ENDIF
                 ELSE
-                    !-- something wrong
-                    !WRITE (message_string, "(A,3I5)") 'incorrect data in file URBAN_SURFACE'//TRIM(coupling_char)//' for i,j,k=', iw,jw,kw
-                    !WRITE(6,'(100i4)'), myid, l, d, ii, iw,jw,kw,us_par(:,jw,iw)
-                    !WRITE(6,'(i4,a)'), myid, message_string
-                    !FLUSH(6)
+!--                 something wrong
                     CALL message( 'usm_read_urban_surface', 'PA0505', 1, 2, 0, 6, 0 )
                 ENDIF
             ENDIF
             
-            !-- find the type position
+!--         find the type position
             it = surface_types(l)
             ip = -99999
             DO k = 1, n_surface_types
-                IF ( surface_type_codes(k) == it ) THEN
+                IF ( surface_type_codes(k) == it )  THEN
                     ip = k
                     EXIT
                 ENDIF
             ENDDO
-            IF ( ip == -99999 ) THEN
-                !PRINT*, myid, l, d, iw,jw,kw,it,n_surface_types,surface_type_codes
-                !FLUSH(6)
-                !-- wall category not found
+            IF ( ip == -99999 )  THEN
+!--             wall category not found
                 WRITE (message_string, "(A,I5,A,3I5)") 'wall category ', it, ' not found  for i,j,k=', iw,jw,kw
                 CALL message( 'usm_read_urban_surface', 'PA0506', 1, 2, 0, 6, 0 )
             ENDIF
             
-            !-- Fill out the parameters of the wall
-            !-- wall surface:
+!--         Fill out the parameters of the wall
+!--         wall surface:
             
-            !-- albedo
-            IF ( albedo_surf(l) < 0.0_wp ) THEN
+!--         albedo
+            IF ( albedo_surf(l) < 0.0_wp )  THEN
                 albedo_surf(l) = surface_params(ialbedo, ip)
             ENDIF
             
-            !-- emissivity of the wall
+!--         emissivity of the wall
             emiss_surf(l) = surface_params(iemiss, ip)
             
-            !-- heat conductivity Î»S between air and wall ( W mâ2 Kâ1 )
+!--         heat conductivity Î»S between air and wall ( W mâ2 Kâ1 )
             lambda_surf(l) = surface_params(ilambdas, ip)
-            !PRINT*, myid, 'lambda_surf=', l, lambda_surf(l)
             
-            !-- roughness relative to concrete
+!--         roughness relative to concrete
             roughness_wall(l) = surface_params(irough, ip)
             
-            !-- Surface skin layer heat capacity (J mâ2 Kâ1 )
+!--         Surface skin layer heat capacity (J mâ2 Kâ1 )
             c_surface(l) = surface_params(icsurf, ip)
             
-            !-- wall material parameters:
+!--         wall material parameters:
             
-            !-- thickness of the wall (m)
-            !-- missing values are replaced by default value for category
-            IF ( thickness_wall(l) <= 0.001_wp ) THEN
+!--         thickness of the wall (m)
+!--         missing values are replaced by default value for category
+            IF ( thickness_wall(l) <= 0.001_wp )  THEN
                 thickness_wall(l) = surface_params(ithick, ip)
             ENDIF
             
-            !-- volumetric heat capacity rho*C of the wall ( J mâ3 Kâ1 )
+!--         volumetric heat capacity rho*C of the wall ( J mâ3 Kâ1 )
             rho_c_wall(:,l) = surface_params(irhoC, ip)
             
-            !-- thermal conductivity Î»H of the wall (W mâ1 Kâ1 )
+!--         thermal conductivity Î»H of the wall (W mâ1 Kâ1 )
             lambda_h(:,l) = surface_params(ilambdah, ip)
             
-            !IF ( debug_prints  .AND.  time_do3d < dt_3d )  THEN
-            !    WRITE(9,*) myid, 'readsurface3', l, d, albedo_surf(l), emiss_surf(l), lambda_surf(l), &
-            !               roughness_wall(l), c_surface(l), thickness_wall(l), rho_c_wall(0,l), lambda_h(0,l)
-            !    FLUSH(9)
-            !ENDIF
         ENDDO
 
